#! /bin/bash

xhost +
docker run --privileged --rm --network host -it \
  --gpus all --shm-size=16g --ulimit memlock=-1 --ulimit stack=67108864 \
  --volume "$(pwd)"/:/RapidPoseTriangulation/ \
  --volume "$(pwd)"/../datasets/coco2017/annotations/:/mmpose/data/coco/annotations/ \
  --volume "$(pwd)"/../datasets/coco2017/images/:/mmpose/data/coco/ \
  --volume /tmp/.X11-unix:/tmp/.X11-unix \
  --env DISPLAY --env QT_X11_NO_MITSHM=1 \
  rpt_mmpose
